<?php

/*
 * @version		$Id: view.html.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');

class HdwplayerViewVideos extends JViewLegacy {

    function display($tpl = null) {

		$model      = $this->getModel();
		
        $datas      = $model->getvideos();
		//$this->assignRef('datas', $datas);
		$this->datas = $datas;
		
		$category   = $model->getcategory();
		//$this->assignRef('category', $category);
		$this->category = $category;
		
		$pagination = $model->getpagination();
		//$this->assignRef('pagination', $pagination);
		$this->pagination = $pagination;
		
		$lists = $model->getlists();
		//$this->assignRef('lists', $lists);
		$this->lists = $lists;
		
		$approval = $model->getapproval();
		$this->assignRef('approval', $approval);
		$this->approval = $approval;
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos', true);
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category');
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
        JToolBarHelper::publishList();
        JToolBarHelper::unpublishList();
        JToolBarHelper::deleteList('','deletevideos');
        JToolBarHelper::editList('editvideos');
        JToolBarHelper::addNew('addvideos');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-videos', 900, 500 );
				
		parent::display($tpl);
		
    }
	
	function edit($tpl = null) {
	    $model    = $this->getModel();
		
        $datas    = $model->getrow();
		//$this->assignRef('datas', $datas);
		$this->datas = $datas;
		
		$category = $model->getcategory();
		//$this->assignRef('category', $category);
		$this->category = $category;
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos', true);
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category');
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
        JToolBarHelper::save('savevideos', 'Save');
        JToolBarHelper::apply('applyvideos', 'Apply');
        JToolBarHelper::cancel('cancelvideos');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-videos', 900, 500 );
		
        parent::display($tpl);
    }
	function add($tpl = null) {
	    $model    = $this->getModel();
		
       
		
		$category = $model->getcategory();
		//$this->assignRef('category', $category);
		$this->category = $category;
		
		JSubMenuHelper::addEntry(JText::_('Dashboard'), 'index.php?option=com_hdwplayer');
		JSubMenuHelper::addEntry(JText::_('Settings'), 'index.php?option=com_hdwplayer&task=settings');
		JSubMenuHelper::addEntry(JText::_('Skin'), 'index.php?option=com_hdwplayer&task=skin');
		JSubMenuHelper::addEntry(JText::_('Videos'), 'index.php?option=com_hdwplayer&task=videos', true);
		JSubMenuHelper::addEntry(JText::_('Category'), 'index.php?option=com_hdwplayer&task=category');
		JSubMenuHelper::addEntry(JText::_('Google Adsense'), 'index.php?option=com_hdwplayer&task=googleads');
		JToolBarHelper::title(JText::_('hdwplayer'), 'hdwplayer');
        JToolBarHelper::save('savevideos', 'Save');
        JToolBarHelper::apply('applyvideos', 'Apply');
        JToolBarHelper::cancel('cancelvideos');
		
		$help =  JToolBar::getInstance('toolbar');
		$help->appendButton( 'Popup', 'help', 'help', 'http://hdwebplayer.com/?q=joomla-videos', 900, 500 );
		
        parent::display($tpl);
    }
	
}

?>