<?php

/*
 * @version		$Id: search.php 1.6 2011-09-09 $
 * @package		Joomla
 * @subpackage	hdwplayer
 * @copyright   Copyright (C) 2011-2012 HDW Player
 * @license     GNU/GPL http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.model');

class HdwplayerModelSearch extends JModelLegacy {

	function __construct() {
		parent::__construct();
    }
	
	function getsearch() {
		$mainframe          = JFactory::getApplication();		
        $db                 = JFactory::getDBO();
		
		$itm                = array();
		$itm['rows']        = JRequest::getVar('rows', '', 'post', 'int');
		$itm['columns']     = JRequest::getVar('columns', '', 'post', 'int');
		$itm['thumbwidth']  = JRequest::getVar('thumbwidth', '', 'post', 'int');
		$itm['thumbheight'] = JRequest::getVar('thumbheight', '', 'post', 'int');
		$itm['space']       = JRequest::getVar('space', '', 'post', 'int');
		$itm['search']      = JRequest::getVar('hdwplayersearch', '', 'post', 'string');
		
		$search             = JRequest::getVar('hdwplayersearch', '', 'post', 'string');		
		$limit              = $itm["rows"] * $itm["columns"];
		$limitstart         = JRequest::getVar('limitstart', 0, '', 'int');
        $query              = "SELECT * FROM #__hdwplayer_videos WHERE published=1 AND (title LIKE '%$search%' OR category LIKE '%$search%' OR tags LIKE '%$search%')";
        $db->setQuery($query, $limitstart, $limit);
        $itm['videos']      = $db->loadObjectList();	
		
        return($itm);
    }
	
	function getPagination( )
  	{
		 $mainframe  = JFactory::getApplication();		 
		 $db         = JFactory::getDBO();	
		 $search     = JRequest::getVar('hdwplayersearch', '', 'post', 'string');
			
		 $query  = "SELECT COUNT(id) FROM #__hdwplayer_videos WHERE published=1 AND (title LIKE '%$search%' OR category LIKE '%$search%' OR tags LIKE '%$search%')";
       	 $db->setQuery( $query );
         $output     = $db->loadResult();
	     $total      = $output;

		 $rows       = JRequest::getVar('rows', '', 'post', 'int');
		 $columns    = JRequest::getVar('columns', '', 'post', 'int');		
		 $limit      = $rows * $columns;
		 
		 $limitstart = JRequest::getVar('limitstart', 0, '', 'int');
		 
		 jimport( 'joomla.html.pagination' );
		 $pageNav    = new JPagination($total, $limitstart, $limit);
		 
         return($pageNav);
  	}
	
}

?>